Caution! Latest macOS 10.14 Mojave betas cause Audio-Units to fail

#1

We do our best to check if our products compatible with the latest and greatest.
macOS 10.14 (Mojave) isn’t released yet but available for Developers or as Public Beta.

As always, we strongly advice against using a beta OS your main OS.

Tested and works with Mojave:

Fails to validate under Mojave:

  • Auto-Align
  • Drum Leveler
  • Pi
  • POWAIR
  • SurferEQ 2

Untested:

  • Older versions of our products were not tested.

Affected hosts:
So far it seems to affect Logic X, GarageBand and any host using Audio Unit validation.
Audio-Units does work under REAPER.

This issue seems to also affect many other plug-in manufacturers.

We will update upon developments.

0 Likes

#2

Update,
It seems,
macOS Mojave 10.14 Developer Build 8 (18A371a)
fixed this regression.

as always until a final release it is advised not use beta software as a production system.

0 Likes